net.corda.client.jfx.model

## Class PartiallyResolvedTransaction

- net.corda.client.jfx.model.PartiallyResolvedTransaction

-     public class PartiallyResolvedTransaction

  `class PartiallyResolvedTransaction` holds a `class SignedTransaction` that has zero or more inputs resolved. The intent is to prepare clients for cases where an input can only be resolved in the future/cannot be resolved at all (for example because of permissioning)

  See Also:
    `class PartiallyResolvedTransaction`, `class SignedTransaction`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PartiallyResolvedTransaction.Companion`
    `static class` | `PartiallyResolvedTransaction.InputResolution`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PartiallyResolvedTransaction.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartiallyResolvedTransaction(SignedTransaction transaction, java.util.List<? extends javafx.beans.value.ObservableValue<net.corda.client.jfx.model.PartiallyResolvedTransaction.InputResolution>> inputs)` `class PartiallyResolvedTransaction` holds a `class SignedTransaction` that has zero or more inputs resolved. The intent is to prepare clients for cases where an input can only be resolved in the future/cannot be resolved at all (for example because of permissioning)

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignedTransaction` | `component1()`
    `java.util.List<javafx.beans.value.ObservableValue>` | `component2()`
    `PartiallyResolvedTransaction` | `copy(SignedTransaction transaction, java.util.List<? extends javafx.beans.value.ObservableValue<net.corda.client.jfx.model.PartiallyResolvedTransaction.InputResolution>> inputs)` `class PartiallyResolvedTransaction` holds a `class SignedTransaction` that has zero or more inputs resolved. The intent is to prepare clients for cases where an input can only be resolved in the future/cannot be resolved at all (for example because of permissioning)
    `boolean` | `equals(java.lang.Object p)`
    `SecureHash` | `getId()`
    `java.util.List<javafx.beans.value.ObservableValue>` | `getInputs()`
    `SignedTransaction` | `getTransaction()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Field Detail

    - #### Companion

          public static PartiallyResolvedTransaction.Companion Companion

  - ### Constructor Detail

    - #### PartiallyResolvedTransaction

          public PartiallyResolvedTransaction(SignedTransaction transaction,
                                              java.util.List<? extends javafx.beans.value.ObservableValue<net.corda.client.jfx.model.PartiallyResolvedTransaction.InputResolution>> inputs)

      `class PartiallyResolvedTransaction` holds a `class SignedTransaction` that has zero or more inputs resolved. The intent is to prepare clients for cases where an input can only be resolved in the future/cannot be resolved at all (for example because of permissioning)

      See Also:
        `class PartiallyResolvedTransaction`, `class SignedTransaction`

  - ### Method Detail

    - #### getId

          public SecureHash getId()

    - #### getTransaction

          public SignedTransaction getTransaction()

    - #### getInputs

          public java.util.List<javafx.beans.value.ObservableValue> getInputs()

    - #### component1

          public SignedTransaction component1()

    - #### component2

          public java.util.List<javafx.beans.value.ObservableValue> component2()

    - #### copy

          public PartiallyResolvedTransaction copy(SignedTransaction transaction,
                                                   java.util.List<? extends javafx.beans.value.ObservableValue<net.corda.client.jfx.model.PartiallyResolvedTransaction.InputResolution>> inputs)

      `class PartiallyResolvedTransaction` holds a `class SignedTransaction` that has zero or more inputs resolved. The intent is to prepare clients for cases where an input can only be resolved in the future/cannot be resolved at all (for example because of permissioning)

      See Also:
        `class PartiallyResolvedTransaction`, `class SignedTransaction`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)